#ifndef LINUX_VERSION_CODE
#  include <linux/version.h>
#endif

#ifndef VERSION_CODE
#  define VERSION_CODE(vers,rel,seq) ( ((vers)<<16) | ((rel)<<8) | (seq) )
#endif

#if LINUX_VERSION_CODE < VERSION_CODE(2,0,0) /*  < 2.0 */
#  error "This kernel is too old: not supported by this file"
#endif


#if LINUX_VERSION_CODE >= VERSION_CODE(2,0,0) && LINUX_VERSION_CODE < VERSION_CODE(2,0,0xff)
#include "a2dc_2_0.c"
#endif

#if LINUX_VERSION_CODE >= VERSION_CODE(2,2,0) && LINUX_VERSION_CODE < VERSION_CODE(2,2,0xff)
#include "a2dc_2_2.c"
#endif

#if LINUX_VERSION_CODE >= VERSION_CODE(2,4,0) && LINUX_VERSION_CODE < VERSION_CODE(2,4,0xff)
#include "a2dc_2_4.c"
#endif
